%define __provides_exclude_from ^%{_libdir}/apulse/.*.so.*$

Name:		apulse
Version:	0.1.13
Release:	%mkrel 1
Summary:	PulseAudio emulation for ALSA
License:	MIT and LGPL-2.1+
Group:		Sound
URL:		https://github.com/i-rinat/apulse
Source:		https://github.com/i-rinat/apulse/archive/%{name}-%{version}.tar.xz
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	glib2-devel
BuildRequires:	lib64alsa2-devel

%description
The program provides an alternative partial implementation of the
PulseAudio API.

It consists of a wrapper script and a number of shared libraries with
the same names as from original PulseAudio, so applications could
dynamically load them and think they are talking to
PulseAudio. Internally, no separate sound mixing daemon is used.

%prep
%setup -q
%apply_patches

%build
%cmake \
	-DAPULSEPATH:PATH=%{_libdir}/%{name} \
	-DAPULSE_SEARCH_PATHS:PATH=%{_libdir}/%{name} \
	-DUSE_BUNDLED_PULSEAUDIO_HEADERS:BOOL=ON
	
%make_build VERBOSE=1

%install
%make_install -C build

ln -sf libpulsecommon-5.0.so \
    %{buildroot}%{_libdir}/%{name}/libpulsecommon-4.0.so

%files
%defattr(-,root,root)
%doc LICENSE.MIT README*
%{_bindir}/*
%{_libdir}/*
%{_datadir}/*

%changelog
* Wed May 13 2020 tex - 0.1.13-1pclos2020
- new version

* Thu Apr 27 2017 bb2 <bb2> - 0.1.10-1pclos2017
- imported package apulse
